KTREMOTEMGR(1)

NAME
ktremotemgr - command line interface to manage the remote database

DESCRIPTION

The command `ktremotedmgr' is a utility for test and debugging of the remote database and its applications. `proc' specifies the name of a procedure. `params' specifies arbitrary parameters. `mhost' specifies the host name of the master server. `key' specifies the key of a record. `value' specifies the value of a record.

    ktremotemgr report [-host str] [-port num] [-tout num]
        Prints statistics of the server.
    ktremotemgr script [-host str] [-port num] [-tout num] [-bin] [-swname str] [-swtime num] [-ssname str] [-ssbrd] proc [params...]
        Calls a procedure of the scripting extension.
    ktremotemgr tunerepl [-host str] [-port num] [-tout num] [-mport str] [-ts num] [-iv num] [mhost]
        Sets the replication configuration.
    ktremotemgr inform [-host str] [-port num] [-tout num] [-swname str] [-swtime num] [-ssname str] [-ssbrd] [-db str] [-st]
        Prints status information of a database.
    ktremotemgr clear [-host str] [-port num] [-tout num] [-swname str] [-swtime num] [-ssname str] [-ssbrd] [-db str]
        Removes all records of a database.
    ktremotemgr sync [-host str] [-port num] [-tout num] [-swname str] [-swtime num] [-ssname str] [-ssbrd] [-db str] [-hard] [-cmd str]
        Synchronizes updated contents with the file and the device.
    ktremotemgr set [-host str] [-port num] [-tout num] [-swname str] [-swtime num] [-ssname str] [-ssbrd] [-db str] [-add|-rep|-app|-inci|-incd] [-sx] [-xt num] key value
        Stores a record.
    ktremotemgr remove [-host str] [-port num] [-tout num] [-swname str] [-swtime num] [-ssname str] [-ssbrd] [-db str] [-sx] key
        Removes a record.
    ktremotemgr get [-host str] [-port num] [-tout num] [-swname str] [-swtime num] [-ssname str] [-ssbrd] [-db str] [-rm] [-sx] [-px] [-pt] [-pz] key
        Prints the value of a record.
    ktremotemgr list [-host str] [-port num] [-tout num] [-swname str] [-swtime num] [-ssname str] [-ssbrd] [-db str] [-des] [-max num] [-rm] [-sx] [-pv] [-px] [-pt] [key]
        Prints keys of all records, separated by line feeds.
    ktremotemgr import [-host str] [-port num] [-tout num] [-db str] [-sx] [-xt num] [file]
        Imports records from a TSV file.
    ktremotemgr vacuum [-host str] [-port num] [-tout num] [-swname str] [-swtime num] [-ssname str] [-ssbrd] [-db str] [-step num] path
        Eliminates regions of expired records.
    ktremotemgr slave [-host str] [-port num] [-tout num] [-ts num] [-sid num] [-ux] [-uw] [-uf] [-ur]
        Simulates a client of replication and prints update logs.
    ktremotemgr setbulk [-host str] [-port num] [-tout num] [-bin] [-swname str] [-swtime num] [-ssname str] [-ssbrd] [-db str] [-sx] [-xt num] key value ...
        Store records at once.
    ktremotemgr removebulk [-host str] [-port num] [-tout num] [-bin] [-swname str] [-swtime num] [-ssname str] [-ssbrd] [-db str] [-sx] key ...
        Remove records at once.
    ktremotemgr getbulk [-host str] [-port num] [-tout num] [-bin] [-swname str] [-swtime num] [-ssname str] [-ssbrd] [-db str] [-sx] [-px] key ...
        Retrieve records at once.

Options feature the following.

    -host str : specifies the host name of the server.
    -port num : specifies the port number of the server.
    -tout num : specifies the timeout in seconds.
    -swname str : waits for a signal by a named condition variable.
    -swtime num : specifies the timeout of signal waiting in seconds.
    -ssname str : sends a signal to a named condition variable.
    -ssbrd : switches signal sending to broadcasting.
    -bin : uses the binary protocol.
    -mport num : specifies the port number of the master server.
    -ts num : specifies the maximum time stamp of already read logs. "now" means the current time stamp.
    -iv num : specifies the interval of each replication operation in milliseconds.
    -db str : specifies the target database.
    -st : prints miscellaneous information.
    -hard : performs physical synchronization with the device.
    -cmd str : specifies an outer command for postprocessing.
    -add : performs adding operation.
    -app : performs appending operation.
    -rep : performs replacing operation.
    -inci : performs integer increment operation.
    -incd : performs real number increment operation.
    -sx : the input data is evaluated as a hexadecimal data string.
    -xt num : specifies the expiration time.
    -rm : removes the record.
    -px : the output data is converted into a hexadecimal data string.
    -pt : prints the expiration time also.
    -pz : does not append line feed at the end of the output.
    -des : visits records in descending order.
    -max num : specifies the maximum number of shown records.
    -pv : prints values of records also.
    -step num : specifies the number of steps.
    -sid num : specifies the server ID number.
    -ux : fetches update logs of the specified server ID number only.
    -uw : waits for update forever.
    -uf : prints status of each update log file.
    -ur : remove old update log files.

This command returns 0 on success, another on failure.

SEE ALSO

ktremotetest(1)